> ## Documentation Index
> Fetch the complete documentation index at: https://microstrate-1133-notifications-prefs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get integration connections

> Gets integration connections by integration_id



## OpenAPI

````yaml /api-reference/endpoint/hub-flows/openapi.json get /hub/integrations/{integration_id}/oauth-connections
openapi: 3.0.0
info:
  title: quiva.ai Gateway
  description: API for managing collections, nodes, and workflows in quiva.ai Hub
  version: 0.1.0
  contact:
    name: quiva.ai Support
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: Collections
    description: Operations related to collections
  - name: Nodes
    description: Operations related to nodes
  - name: Workflows
    description: Operations related to workflows
  - name: Oauth
    description: Oauth configurations and connections
paths:
  /hub/integrations/{integration_id}/oauth-connections:
    parameters:
      - $ref: '#/components/parameters/integrationId'
    get:
      tags:
        - Oauth
      summary: Get integration connections
      description: Gets integration connections by integration_id
      operationId: getIntegrationConnections
      responses:
        '200':
          description: Connection deleted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OauthConnection'
              example:
                results:
                  - access_token: eyJhbGciOiJSUzI1NiIs...
                    token_type: Bearer
                    refresh_token: ulpL_...
                    expiry: '2025-05-29T17:09:39.816102+01:00'
                    expires_in: 1800
                    sequence: 85
                    subject: >-
                      ms.integration.oauth.AC75JGNMJHTRQNXCBDMIAJCJ57HAEWP2RGWXJCIFFGW2K64OKG267A2D.xero.demo
                    modified: 1748533179
                  - access_token: eyJhbGciOiJSUzI1NiIs...
                    token_type: Bearer
                    refresh_token: pSn5h...
                    expiry: '2025-05-29T17:11:54.397804+01:00'
                    expires_in: 1800
                    sequence: 86
                    subject: >-
                      ms.integration.oauth.AC75JGNMJHTRQNXCBDMIAJCJ57HAEWP2RGWXJCIFFGW2K64OKG267A2D.xero.maria
                    modified: 1748533314
                results_total: 2
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    integrationId:
      name: integration_id
      in: path
      required: true
      schema:
        type: string
      description: Integration identifier
      example: slack
  schemas:
    OauthConnection:
      type: object
      properties:
        access_token:
          type: string
          description: OAuth access token
          example: eyJhbGciOiJSUzI1Ni...
        token_type:
          type: string
          description: Token type (usually Bearer)
          example: Bearer
        refresh_token:
          type: string
          description: OAuth refresh token
          example: ulpL_...
        expiry:
          type: string
          format: date-time
          description: Token expiration time
          example: '2025-05-29T17:09:39.816102+01:00'
        expires_in:
          type: integer
          description: Token expires in seconds
          example: 1800
        sequence:
          type: integer
          description: Message sequence number
          example: 85
        subject:
          type: string
          description: Message subject
          example: >-
            ms.integration.oauth.AC75JGNMJHTRQNXCBDMIAJCJ57HAEWP2RGWXJCIFFGW2K64OKG267A2D.xero.demo
        modified:
          type: integer
          description: Last modified timestamp
          example: 1748533179
      example:
        access_token: eyJhbGciOiJSUzI1Ni...
        expires_in: 1800
        expiry: '2025-05-29T17:09:39.816102+01:00'
        modified: 1748533179
        refresh_token: ulpL_...
        sequence: 85
        subject: >-
          ms.integration.oauth.AC75JGNMJHTRQNXCBDMIAJCJ57HAEWP2RGWXJCIFFGW2K64OKG267A2D.xero.demo
        token_type: Bearer
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````